     OPEN "POS-B" FOR RANDOM ACCESS READ WRITE SHARED AS #8 LEN=512
     FIELD#8,512AS X8$

     IE=1000
     NUMX=19
5982 IF EOF(8) THEN CLOSE#8:END
     GET#8,IE
     NUM=VAL(MID$(X8$,1,2))
     IF NUM<>NUMX THEN IE=IE+1:GOTO 5982
        NUM$=MID$(X8$, 03,04)                              ' numero
        NL$=MID$(X8$, 23,24)                               ' nombre largo
        NC$=MID$(X8$, 47,12)                               ' nombre corto
        IE=IE+1
        PRINT USING "#### ";IE;:PRINT NUM$;"-";NC$;"-";NL$:W$=INPUT$(1)
        IF W$="C" THEN CLOSE:END
        GOTO 5982

